Debian Bug report logs - #544071
RFP: svgtune -- tool to generate a set of .svg files out of a single .svg file

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Yaroslav Halchenko <debian@onerussian.com>

Date: Fri, 28 Aug 2009 14:48:03 UTC

Severity: wishlist

Done: Adrian Bunk <bunk@stusta.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#544071; Package wnpp. (Fri, 28 Aug 2009 14:48:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. (Fri, 28 Aug 2009 14:48:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: svgtune -- tool to generate a set of .svg files out of a single .svg file
Date: Fri, 28 Aug 2009 10:29:03 -0400
Package: wnpp
Severity: wishlist
Owner: Yaroslav Halchenko <debian@onerussian.com>


* Package name    : svgtune
  Version         : 0.0.2
  Upstream Author : Yaroslav Halchenko <debian@onerussian.com>
* URL             : http://github.com/yarikoptic/svgtune
* License         : GPL
  Programming Lang: Python
  Description     : tool to generate a set of .svg files out of a single .svg file

 svgtune is just a little helper to generate a set of .svg files out
 of a single .svg file, by tuning respective groups/layers visibility,
 transparency or anything else.
 .
 It might come very handy for generation of incremental figures to be
 embedded into the presentation in any format which inkscape could
 render using original .svg file (e.g. pdf, png).




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 28 Aug 2009 20:18:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#544071; Package wnpp. (Tue, 01 Dec 2009 03:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Tue, 01 Dec 2009 03:06:03 GMT) Full text and rfc822 format available.

Message #12 received at 544071@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: 544071@bugs.debian.org
Subject: email me and ftpmaster if you find this tools useful and worth appearing in Debian
Date: Mon, 30 Nov 2009 22:01:20 -0500
Package for svgtune was rejected by ftpmaster due to its tiny size and
reminding him of exercise in XML handling in Python.  Well... I do use
it and find this tiny beast quite useful myself (for now).


-- 
                                  .-.
=------------------------------   /v\  ----------------------------=
Keep in touch                    // \\     (yoh@|www.)onerussian.com
Yaroslav Halchenko              /(   )\               ICQ#: 60653192
                   Linux User    ^^-^^    [175555]






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Yaroslav Halchenko <debian@onerussian.com>:
Bug#544071; Package wnpp. (Sat, 19 Feb 2011 17:45:58 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Yaroslav Halchenko <debian@onerussian.com>. (Sat, 19 Feb 2011 17:45:58 GMT) Full text and rfc822 format available.

Message #17 received at 544071@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 544071@bugs.debian.org
Cc: control@bugs.debian.org
Subject: svgtune: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:06:05 +0000
retitle 544071 RFP: svgtune -- tool to generate a set of .svg files out of a single .svg file
noowner 544071
thanks

Hi,

This is an automatic email to change the status of svgtune back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting svgtune, please send a mail to
<control@bugs.debian.org> with:

 retitle 544071 ITP: svgtune -- tool to generate a set of .svg files out of a single .svg file
 owner 544071 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <544071@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: svgtune -- tool to generate a set of .svg files out of a single .svg file' from 'ITP: svgtune -- tool to generate a set of .svg files out of a single .svg file' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:50:12 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Yaroslav Halchenko <debian@onerussian.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:50:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#544071; Package wnpp. (Sat, 19 Feb 2011 18:00:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 19 Feb 2011 18:00:12 GMT) Full text and rfc822 format available.

Message #26 received at 544071@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@debian.org>
To: Lucas Nussbaum <lucas@debian.org>, 544071@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#544071: svgtune: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 12:54:35 -0500
retitle 544071 RFP: svgtune -- tool to generate a set of .svg files out of a single .svg file
owner 544071 debian@onerussian.com
thanks

uff  - it is not only ITPed - it is packaged but rejected from the
Debian as a separate package due to small size and ftp masters'
personal dislike (as my previous posts here describe).

you can obtain it meanwhile from http://neuro.debian.net repository


On Sat, 19 Feb 2011, Lucas Nussbaum wrote:

> retitle 544071 RFP: svgtune -- tool to generate a set of .svg files out of a single .svg file
> noowner 544071
> thanks

-- 
=------------------------------------------------------------------=
Keep in touch                                     www.onerussian.com
Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic




Owner recorded as debian@onerussian.com. Request was from Yaroslav Halchenko <yoh@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:09:34 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by debian@onerussian.com. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Wed, 06 Jun 2012 00:39:22 GMT) Full text and rfc822 format available.

Reply sent to Adrian Bunk <bunk@stusta.de>:
You have taken responsibility. (Tue, 17 Dec 2013 06:54:05 GMT) Full text and rfc822 format available.

Notification sent to Yaroslav Halchenko <debian@onerussian.com>:
Bug acknowledged by developer. (Tue, 17 Dec 2013 06:54:05 GMT) Full text and rfc822 format available.

Message #35 received at 544071-done@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: 544071-done@bugs.debian.org
Subject: Closing this RFP
Date: Tue, 17 Dec 2013 08:51:55 +0200
I am closing this RFP since a package was already rejected by the 
ftp-masters based on the tiny size of the software.

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#544071; Package wnpp. (Sat, 28 Dec 2013 03:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 28 Dec 2013 03:27:04 GMT) Full text and rfc822 format available.

Message #40 received at 544071@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: 544071@bugs.debian.org
Cc: Adrian Bunk <bunk@stusta.de>
Subject: Re: Bug#544071 closed by Adrian Bunk <bunk@stusta.de> (Closing this RFP)
Date: Fri, 27 Dec 2013 22:22:07 -0500
On Tue, 17 Dec 2013, Debian Bug Tracking System wrote:
> This is an automatic notification regarding your Bug report
> which was filed against the wnpp package:

> #544071: RFP: svgtune -- tool to generate a set of .svg files out of a single .svg file

> It has been closed by Adrian Bunk <bunk@stusta.de>.
>> Date: Tue, 17 Dec 2013 08:51:55 +0200
>> From: Adrian Bunk <bunk@stusta.de>
>> To: 544071-done@bugs.debian.org
>> Subject: Closing this RFP
>> 
>> I am closing this RFP since a package was already rejected by the
>> ftp-masters based on the tiny size of the software.

yeap -- "unprecedentedly" tiny size (if we exclude personal distastes of an
ftpmaster):

$> dpigs -S -n 50000 | nl | grep -4 -e svgtune -e 'haskell-yesod-default'  
  3303  65 netbase
  3304  65 liblwp-protocol-socks-perl
  3305  65 binaryornot
  3306  64 unicode
  3307  64 svgtune                   <<< ------ 
  3308  64 rubygems-integration
  3309  64 qprint
  3310  64 python-edbus
  3311  64 python-coverage-test-runner
--
  3532  14 perlindex
  3533  13 ubuntu-keyring
  3534  13 kwwidgets
  3535  13 dbus-sharp-glib
  3536  11 haskell-yesod-default

$> dpigs -n 50000 | nl | grep -4 -e svgtune -e 'bogofilter$'
  5847  65 liblwp-protocol-socks-perl
  5848  65 libffi6
  5849  65 libexttextcat-2.0-0
  5850  64 unicode
  5851  64 svgtune                    <<< ------ 
  5852  64 rubygems-integration
  5853  64 qprint
  5854  64 python-edbus
  5855  64 python-coverage-test-runner
--
  6446  1 ipython1x-notebook
  6447  1 ipython01x-qtconsole
  6448  1 ipython01x-parallel
  6449  1 ipython01x-notebook
  6450  1 bogofilter

as you can see -- it is not even a winner with more than 200 of smaller source
packages and nearly 10% (reported by dpigs) of archive containing smaller
binary packages.

once again -- for anyone interested to use this tiny but useful tool, you
are welcome to install it through the NeuroDebian repository:

http://neuro.debian.net/pkgs/svgtune.html

My next attempt to upload it would be some time when I run into/fix a bug in it
-- may be added bites would make it bigger/mightier, or someone might pick it
up for packaging into a collection with other svg-related tools.

Cheers,
-- 
Yaroslav O. Halchenko, Ph.D.
http://neuro.debian.net http://www.pymvpa.org http://www.fail2ban.org
Senior Research Associate,     Psychological and Brain Sciences Dept.
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#544071; Package wnpp. (Sat, 28 Dec 2013 14:00:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 28 Dec 2013 14:00:09 GMT) Full text and rfc822 format available.

Message #45 received at 544071@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: Yaroslav Halchenko <debian@onerussian.com>
Cc: 544071@bugs.debian.org
Subject: Re: Bug#544071 closed by Adrian Bunk <bunk@stusta.de> (Closing this RFP)
Date: Sat, 28 Dec 2013 15:57:09 +0200
On Fri, Dec 27, 2013 at 10:22:07PM -0500, Yaroslav Halchenko wrote:
> 
> On Tue, 17 Dec 2013, Debian Bug Tracking System wrote:
> > This is an automatic notification regarding your Bug report
> > which was filed against the wnpp package:
> 
> > #544071: RFP: svgtune -- tool to generate a set of .svg files out of a single .svg file
> 
> > It has been closed by Adrian Bunk <bunk@stusta.de>.
> >> Date: Tue, 17 Dec 2013 08:51:55 +0200
> >> From: Adrian Bunk <bunk@stusta.de>
> >> To: 544071-done@bugs.debian.org
> >> Subject: Closing this RFP
> >> 
> >> I am closing this RFP since a package was already rejected by the
> >> ftp-masters based on the tiny size of the software.
> 
> yeap -- "unprecedentedly" tiny size (if we exclude personal distastes of an
> ftpmaster):

My point is that an RFP for a package that won't get accepted 
doesn't make sense.


>...
> $> dpigs -n 50000 | nl | grep -4 -e svgtune -e 'bogofilter$'
>...
> --
>   6446  1 ipython1x-notebook
>   6447  1 ipython01x-qtconsole
>   6448  1 ipython01x-parallel
>   6449  1 ipython01x-notebook
>   6450  1 bogofilter
> 
> as you can see -- it is not even a winner with more than 200 of smaller source
> packages and nearly 10% (reported by dpigs) of archive containing smaller
> binary packages.

I cannot even see these ipython* you list anywhere in the archive at all.

And no matter how to think of the rejection of svgtune, comparing it's 
size to the size of (empty) meta and transitional packages (these are a 
sizable part of the 10%) is not a reasonable comparison.


>...
> Cheers,

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Jan 2014 07:31:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:36:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.